| GET | /RestApi/recycle-bin/items |
|---|
<?php namespace dtos;
use DateTime;
use Exception;
use DateInterval;
use JsonSerializable;
use ServiceStack\{IReturn,IReturnVoid,IGet,IPost,IPut,IDelete,IPatch,IMeta,IHasSessionId,IHasBearerToken,IHasVersion};
use ServiceStack\{ICrud,ICreateDb,IUpdateDb,IPatchDb,IDeleteDb,ISaveDb,AuditBase,QueryDb,QueryDb2,QueryData,QueryData2,QueryResponse};
use ServiceStack\{ResponseStatus,ResponseError,EmptyResponse,IdResponse,ArrayList,KeyValuePair2,StringResponse,StringsResponse,Tuple2,Tuple3,ByteArray};
use ServiceStack\{JsonConverters,Returns,TypeContext};
class FindRecycleBinItems implements IRecycleBinItemFilter, JsonSerializable
{
public function __construct(
/** @var int|null */
public ?int $Skip=null,
/** @var int|null */
public ?int $Take=null,
/** @var string|null */
public ?string $OrderExpression=null,
/** @var string|null */
public ?string $TypeName=null,
/** @var string|null */
public ?string $SearchText=null
) {
}
/** @throws Exception */
public function fromMap($o): void {
if (isset($o['Skip'])) $this->Skip = $o['Skip'];
if (isset($o['Take'])) $this->Take = $o['Take'];
if (isset($o['OrderExpression'])) $this->OrderExpression = $o['OrderExpression'];
if (isset($o['TypeName'])) $this->TypeName = $o['TypeName'];
if (isset($o['SearchText'])) $this->SearchText = $o['SearchText'];
}
/** @throws Exception */
public function jsonSerialize(): mixed
{
$o = [];
if (isset($this->Skip)) $o['Skip'] = $this->Skip;
if (isset($this->Take)) $o['Take'] = $this->Take;
if (isset($this->OrderExpression)) $o['OrderExpression'] = $this->OrderExpression;
if (isset($this->TypeName)) $o['TypeName'] = $this->TypeName;
if (isset($this->SearchText)) $o['SearchText'] = $this->SearchText;
return empty($o) ? new class(){} : $o;
}
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/recycle-bin/items HTTP/1.1 Host: www.asg.com.au Accept: application/xml
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length
<ArrayOfRecycleBinItemProxy xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Telerik.Sitefinity.RecycleBin.Services.Dto">
<RecycleBinItemProxy>
<DataItemId>00000000-0000-0000-0000-000000000000</DataItemId>
<DateCreated>0001-01-01T00:00:00</DateCreated>
<DisplayTypeName>String</DisplayTypeName>
<Id>00000000-0000-0000-0000-000000000000</Id>
<ItemLanguage>String</ItemLanguage>
<ItemTitle>String</ItemTitle>
<ItemTypeName>String</ItemTypeName>
<OwnerName>String</OwnerName>
<ParentTitlesPath>String</ParentTitlesPath>
<ParentTypeName>String</ParentTypeName>
<ProviderName>String</ProviderName>
<Status>String</Status>
<StatusText>String</StatusText>
</RecycleBinItemProxy>
</ArrayOfRecycleBinItemProxy>